|  | ## Cheshire3 Object Model: Class ClusterDocumentStream

Module documentFactory :: Class ClusterDocumentStream

## Class ClusterDocumentStream
source code

Object Tree:

    BaseDocumentStream --+
                         |
                        ClusterDocumentStream

Instance Methods

open_stream(self, stream)
find_documents(self, session, cache=0)
Inherited from `BaseDocumentStream`: `__init__`, `fetch_document`

Class Variables

Inherited from `BaseDocumentStream`: `codec`, `documents`, `factory`, `filterRe`, `format`, `length`, `locations`, `schema`, `stream`, `streamLocation`

Method Details

### open_stream(self, stream) | source code
Overrides: BaseDocumentStream.open_stream

### find_documents(self, session, cache=0) | source code